function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, Column } from "typeorm";
import { id } from "../id.js";
export let Relay = class Relay {
    id;
    inbox;
    status;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], Relay.prototype, "id", void 0);
_ts_decorate([
    Index({
        unique: true
    }),
    Column("varchar", {
        length: 512,
        nullable: false
    }),
    _ts_metadata("design:type", String)
], Relay.prototype, "inbox", void 0);
_ts_decorate([
    Column("enum", {
        enum: [
            "requesting",
            "accepted",
            "rejected"
        ]
    }),
    _ts_metadata("design:type", String)
], Relay.prototype, "status", void 0);
Relay = _ts_decorate([
    Entity()
], Relay);
